"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
/**
 * Root class for drivers
 */
class Driver {
    queryBuilder(data) {
        return Array().concat(this.Dictionary.command.sysexHeader, data, [this.Dictionary.command.sysexFooter]);
    }
    /*
     * Public methods
     */
    /**
     * DriverQuery: feat: setLayout
     * @param {number} layout Layout number
     * @returns {Array<number>}
     */
    setLayout(layout) {
        return this.queryBuilder([this.Dictionary.command.selectLayout, layout]);
    }
    /**
     * DriverQuery: feat: textScrolling
     * @param {number} color Index color
     * @param {string} text Text to display
     * @param {boolean} [shouldLoop=false] Show loop the message
     * @param {number} [speed=7] Speed
     * @returns {Array<number>}
     */
    textScrolling(color, text, shouldLoop = false, speed = 7) {
        return this.queryBuilder([this.Dictionary.command.textScrolling, +shouldLoop, speed, 0, color].concat(Array.from(new util_1.TextEncoder().encode(text))));
    }
}
exports.default = Driver;
