"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jzz_1 = __importDefault(require("jzz"));
const midiError_1 = __importDefault(require("./midiError"));
class MidiService {
    constructor(midiIn, midiOut) {
        // Cant import declaration
        this._port = (0, jzz_1.default)().openMidiOut();
        this._midiIn = midiIn;
        this._midiOut = midiOut;
        this._midiInput = (0, jzz_1.default)()
            .openMidiIn(midiIn)
            .or(() => this.midiError);
        this._midiOutput = (0, jzz_1.default)()
            .openMidiOut(midiIn)
            .or(() => this.midiError);
    }
    get midiError() {
        throw new midiError_1.default('Device not connected.');
    }
    openOutput() {
        this._midiOutput = (0, jzz_1.default)()
            .openMidiOut(this._midiOut)
            .or(() => this.midiError);
    }
    closeOutput() {
        this._midiOutput.close();
    }
    get out() {
        this.openOutput();
        setTimeout(() => {
            this.closeOutput();
        }, 500);
        return this._midiOutput;
    }
    get in() {
        return this._midiInput;
    }
    closeAll() {
        this._midiOutput.disconnect();
        this._midiInput.disconnect();
    }
}
exports.default = MidiService;
