import Driver from './Drivers/driver';
import MidiService from './Service/Midi';
declare class LaunchpadCore {
    static readonly drivers: {
        [key: string]: Driver;
    };
    private static _devicesInstance;
    readonly _instance: MidiService;
    readonly _driver: Driver;
    private callbacks;
    constructor(driverName: string);
    private onEnabled;
    private onDisabled;
    /**
     * Events
     */
    private handleEvent;
    on(event: 'onMidiIn', callback: (data: any) => void): void;
    on(event: 'onEnabled', callback: (instance: MidiService, driver: Driver) => void): void;
    on(event: 'onDisabled', callback: (instance: MidiService, driver: Driver) => void): void;
}
export default LaunchpadCore;
